package main

import (
	"net/http"
	"os"

	"github.com/elazarl/go-bindata-assetfs"
	"mcquay.me/web"
)

func main() {
	var fs http.FileSystem
	if os.Getenv("SM_DEV") == "" {
		fs = &assetfs.AssetFS{
			Asset:    web.Asset,
			AssetDir: web.AssetDir,
			Prefix:   "static",
		}
	} else {
		fs = http.Dir(os.Getenv("SM_STATIC"))
	}
	// XXX: beware: I've copy/pasted this twice now and been confused because
	// I ought to have been using my own servemux
	http.Handle(
		"/",
		http.FileServer(fs),
	)
	if err := http.ListenAndServe(":8000", nil); err != nil {
		panic(err)
	}
}
